#{extends 'border.html'/}
<div class="container">

#{alert /}

    <div class="row">
        <div class="col-md-12">
            <!-- Breadcrumb -->
            <ol class="breadcrumb">
                <li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.index()}">&{'permohonan_pembaruan.label'}</a></li>
                <li><a href="@{katalog.PermohonanPembaruanCtr.listDistributorPermohonanPembaruanStaging(idPermohonanPembaruan)}">&{'detail_permohonan.label'}</a></li>
                <li class="active">${distributor.id != null ? play.i18n.Messages.get("ubah.label") : play.i18n.Messages.get("tambah.label")} &{'distributor.label'}</li>
            </ol>
            <!-- End Breadcrumb -->
        </div>
    </div>

    <div class="row">
        <div class="col-md-12">
            <div class="toolbar">
            #{backButton/}
            </div>
        </div>
    </div>

    <div id="rootwizard">
        <div class="wizard-header">
            <div class="row">
                <div class="col-md-12">
                    <div class="navbar">
                        <div class="navbar-inner">
                            <ul>
                            #{if distributor?.id == null}
                                <li>
                                    <a href="#pilihuser" data-toggle="tab" class="btn-circle">1</a>
                                    <span>&{'pilih.label'}</span>
                                </li>
                            #{/if}
                                <li>
                                    <a href="#informasi" data-toggle="tab" class="btn-circle">${distributor?.id == null ? "2" : "1"}</a>
                                    <span>&{'informasi_distributor.label'}</span>
                                </li>
                                <li>
                                    <a href="#representatif" data-toggle="tab" class="btn-circle">${distributor?.id == null ? "3" : "2"}</a>
                                    <span>&{'representatif.label'}</span>
                                </li>
                            </ul>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <div class="wizard-body">
            <div class="panel panel-default">
                <div class="panel-body">
                    <div class="row">
                        <div class="col-md-12">
                            <div id="bar" class="progress">
                                <div class="progress-bar" role="progressbar" aria-valuenow="0"
                                     aria-valuemin="0" aria-valuemax="100" style="width: 0%;"></div>
                            </div>
                        </div>
                    </div>
                    <div class="row">
                    #{form @katalog.PermohonanPembaruanCtr.submitEditDistributor(), id:'formPenyediaDistributor', method:'POST', class:'form-horizontal form-distributor'}
                        <input type="hidden" name="pmbId" value="${pmb?.id}"/>
                        <input type="hidden" name="pmbstgId" value="${pmbstagging?.id}"/>
                        <input type="hidden" name="idPermohonanPembaruan" value="${idPermohonanPembaruan}"/>
                        <div class="tab-content">
                            <div class="tab-pane" id="pilihuser">
                                <div class="tab-content">
                                    #{include '/katalog/ProdukCtr/stagging/distributor/_formPilihUser.html' /}
                                </div>
                            </div>
                            <div class="tab-pane" id="informasi">
                                <div class="tab-content">
                                    #{include '/katalog/ProdukCtr/stagging/distributor/_formInformasiDistributor.html' /}
                                </div>
                            </div>
                            <div class="tab-pane" id="representatif">
                                <div class="tab-content">
                                    #{include '/katalog/ProdukCtr/stagging/distributor/_formRepresentatif.html' /}
                                </div>
                            </div>

                            <ul class="pager wizard">
                                <li class="previous"><a href="#">&{'sebelumnya.label'}</a></li>
                                <li class="next"><a href="#" class="btn-next">&{'selanjutnya.label'}</a></li>
                                <li class="simpan"><button id="save" class="btn btn-md btn-primary">&{'simpan.label'}</button></li>
                            </ul>
                        </div>
                    #{/form}
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

#{set 'moreScripts'}
<script src="@{'/public/javascripts/ladda/spin.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/ladda/ladda.min.js'}" type="text/javascript"> </script>
<script src="@{'/public/javascripts/toast/jquery.toast.min.js'}" type="text/javascript"> </script>

<script>

    var obj_rekanan = {};

    $(document).ready(function (){

        $('#rootwizard').bootstrapWizard({
            onTabShow : function(tab, navigation, index) {
                $('.next').show();
                $('.simpan').hide();
                var $total = navigation.find('li').length;
                var $current = index + 1;
                var $percent = ($current / $total) * 100;
                $('#rootwizard .progress-bar').css({
                    width : $percent + '%'
                });
                if($current === $total) {
                    $('.next').hide();
                    $('.simpan').css('float', 'right');
                    $('.simpan').show();
                }
            },
            onTabClick: function(tab, navigation, index) {
                alert('on tab click disabled');
                return false;
            },
        });

        $("#tambah_representatif").on("click",function(){

            var str = "<tr>" +
                    "<td><button class='btn btn-danger hapus_representatif'><i class='fa fa-trash'></i></button></td>" +
                    "<td><input type='hidden' name='id_representatif' class='form-control' value='0'><input type='text' name='nama_representatif' class='form-control'></td>" +
                    "<td><input type='text' name='telp_representatif' class='form-control'></td>" +
                    "<td><input type='text' name='email_representatif' class='form-control'></td>" +
                    "</tr>";

            $("#tbl_representatif").append(str);

        });

        $("#reset_representatif").on("click",function(){

            $("#tbl_representatif tr").remove();

        });

        $("body").on("click",".hapus_representatif",function(){
            $(this).parent().parent().remove();
        });

        $("body").on("click", "#find-user", function () {
            var keyword = $("#keyword").val();
            if(keyword.length < 3){
                showToast("Isi minimal 3 huruf keyword");
            }else{
                findUser();
            }
        });

        function showToast(message) {
            jQuery.toast({
                heading: 'Oops',
                text: message,
                position: 'bottom-center',
                stack: false,
                icon: 'error',
                hideAfter: 6000
            })
        }

        function findUser(){
            var searchType = $("#search-type").val();
            var keyword = $("#keyword").val();

            var loader = Ladda.create(document.querySelector('#find-user'));
            loader.start();

            $("#keyword").prop('readonly', true);
            $("#search-type").prop('disabled', true);

            $.ajax({
                type:'post',
                url:'@{masterdata.PenyediaCtr.findUserInPenyedia()}',
                dataType:'json',
                data:{
                    searchType:searchType,
                    keyword: keyword
                },
                success: function(data){
                    // console.log(data);
                    if(data != null){
                        if(data.message == "Success" && data.distributorJsonList != null){
                            appendToTable(data.distributorJsonList);
                        }else{
                            $("#table-user tbody").empty();
                            showToast(data.message);
                        }
                    }
                    loader.stop();
                    $("#keyword").prop('readonly', false);
                    $("#search-type").prop('disabled', false);
                },
                fail: function (e) {
                    // console.log(e);
                    loader.stop();
                    showToast("Terjadi kesalahan");
                    $("#keyword").prop('readonly', false);
                    $("#search-type").prop('disabled', false);
                }
            });
        }

        function appendToTable(data){
            $("#table-user tbody").empty();

            $.each(data,function (index, obj) {
                var tr = $(document.createElement('tr'));

                var order_number = $(document.createElement('td'));
                order_number.html(index+1);
                var username = $(document.createElement('td'));
                username.html(obj.username);
                var name = $(document.createElement('td'));
                name.html(obj.nama);
                var email = $(document.createElement('td'));
                email.html(obj.email);
                // var rkn = $(document.createElement('td'));
                // rkn.html(obj.rkn_id);

                var aksi = $(document.createElement('td'));
                var button = $(document.createElement('button')).addClass("btn btn-sm btn-primary pilih");
                button.attr("type","button");
                button.attr("rkn",obj.rkn_id);
                button.attr("pnyd_id",obj.penyedia_id);
                button.html("Pilih");

                aksi.append(button);

                //obj_rekanan[obj.rkn_id] = obj;
                // ketika pilih klik yang diambil adalah index list ini, awalnya pake rkn_id karena banyak yang kosong
                // di index id kan perdasarkan penyedia_id
                obj_rekanan[obj.penyedia_id] = obj;
                // console.log(obj_rekanan);

                tr.append(order_number);
                tr.append(username);
                tr.append(name);
                tr.append(email);
                //tr.append(rkn);
                tr.append(aksi);

                $("#table-user tbody").append(tr);
            });
        }

        function setUserToInformation(data){

            $("#id_user").val(data.user_id);
            $("#nama_distributor").val(data.rkn_nama);
            $("#npwp").val(data.rkn_npwp);
            $("#alamat").html(data.rkn_alamat);
            $("#kodepos").val(data.rkn_kodepos);
            $("#email_distributor").val(data.rkn_email);
            $("#urlwebsite").val(data.rkn_website);
            $("#telpon").val(data.rkn_telepon);
            $("#handphone").val(data.rkn_mobile_phone);
            $("#fax").val(data.rkn_fax);
            $("#pkp").val(data.rkn_pkp);

        }

        $("body").on("click",".pilih",function(){
            var rkn = $(this).attr("rkn");

            if(null == rkn){
                showToast("Perhatian RKN_ID null");
            }

            var pnyd_id = $(this).attr("pnyd_id");
            var getData = obj_rekanan[pnyd_id];
            //console.log("##### "+JSON.stringify(getData));

            $("#table-user .pilih").html("Pilih");

            $("#rkn-json").val(JSON.stringify(getData));
            $("#chosen-user").val(getData.rkn_nama);
            $("#user-name").val(getData.rkn_namauser);
            if(getData.user_id != null){
                $("#user-id").val(getData.user_id);
            }

            $(this).val("");
            var icon = $(document.createElement("i"));
            icon.addClass("fa fa-check");
            $(this).html(icon)

            setUserToInformation(getData);

            var userId = $("#id_user").val();
            var penyedia_id = getData.penyedia_id;

            $.ajax({
                type:'post',
                url:'@{penyedia.PenyediaDistributorCtr.getRepresentatif()}',
                data: { userId: userId , penyedia_id: penyedia_id},
                dataType: 'json',
                success: function (res) {
                    //console.log(res);
                    var content = "";
                    //$("#tbl_representatif").append(content); //remove dlu cuy
                    $("#tbl_representatif tbody tr").remove();
                    $.each(res, function(index, val) {
                        content += "<tr>"
                                + "<td><button class=\"btn btn-danger hapus_representatif\"><i class=\"fa fa-trash\"></i></button></td>"
                                + "<td><input type=\"hidden\" name=\"id_representatif\" class=\"form-control\" value="+val.id+"><input type=\"text\" name=\"nama_representatif\" class=\"form-control\" value="+val.nama+"></td>"
                                + "<td><input type=\"text\" name=\"telp_representatif\" class=\"form-control\" value="+ val.no_telp +"></td>"
                                + "<td><input type=\"text\" name=\"email_representatif\" class=\"form-control\" value="+ val.email +"></td>"
                                + "</tr>"
                    });
                    $("#tbl_representatif").append(content);

                }
            });
        });

        $("body").on("click", "#save", function (e) {
            e.preventDefault();
            var distributor_id = "${distributor.id}";
            var msg = "&{'persetujuan_perubahan_data_distributor.label'}";
            if (distributor_id != ""){
                var conf = confirm(msg);
                if (conf == true) {
                    $("#formPenyediaDistributor").submit();
                }
            } else {
                $("#formPenyediaDistributor").submit();
            }
            //$("#editModal").modal();
        });

        function validation(){
            var distributor_id = "${distributor.id}";
            if(distributor_id == ""){
                var chosen_user = $("#chosen-user").val();

                if(chosen_user == null || chosen_user == ""){
                    showToast("Anda belum memilih user.");
                    return false;
                }
            }
            return true;

        }

    });

</script>

#{/set}
